openQA Tests - action #18840

[qam][x11regressions]test fails in install_patterns - dependency conflict between xen-tools and
xen-tools-domU --> adapt test

2017-04-27 13:13 - vpelcak

Status: Resolved Start date: 2017-04-27
Priority: High Due date:

Assignee: vsvecova % Done: 100%
Category: Bugs in existing tests Estimated time: 0.00 hour

Target version:

Difficulty:

Description

Observation

openQA test in scenario sle-12-SP2-Server-DVD-Incidents-x86_64-gam-minimal-full@64bit fails in
install_patterns

Reproducible

Fails since (at least) Build :131856.xen.4684

Fails always.

Expected result

Last good: :131832.MozillaFirefox.4602 (or more recent)

There seems to be bug in the test when xen-tools and xen-tools-domU are being installed but they conflict each other and cannot be
simultaneously installed.

Further details

Always latest result in this scenario: latest

Related issues:
Has duplicate openQA Tests - action #18870: [gam][x11regressions]test fails i... Rejected 2017-04-28

History

#1 - 2017-04-28 14:47 - okurz

- Has duplicate action #18870: [qam][x11regressions]test fails in install_patterns with package conflict between xen-tools and xen-tools-domU added
#2 - 2017-06-23 06:01 - okurz
This is an autogenerated message for openQA integration by the openga_review script:

This bug is still referenced in a failing openQA test: gam-minimal-full
https://openqga.suse.de/tests/1016842

#3 - 2017-06-29 10:07 - pluskalm
- Status changed from New to In Progress
- Assignee set to pcervinka

- Priority changed from Normal to High

#4 - 2017-06-29 10:10 - pluskalm

- Assignee changed from pcervinka to vsvecova

#5 - 2017-06-29 14:47 - vsvecova
https://openqa.suse.de/tests/904047/modules/install_patterns/steps/42
https://openqa.suse.de/tests/903762
https://openqa.suse.de/tests/902784
https://openqa.suse.de/tests/latest?machine=64bit&arch=x86_64&flavor=Server-DVD-Incidents&distri=sle&version=12-SP2&test=qam-minimal-full
https://openqa.suse.de/tests/1016842

- % Done changed from 0 to 50

| opted for simply excluding the -domU package from packages to install in order to avoid the installation conflict.
It is hardcoded and not especially pretty, but seems to work.

As a consequence, it however only tests the installation of the xen-tools package, not xen-tools-domU.

PR: https://github.com/o0s-autoinst/os-autoinst-distri-opensuse/pull/3190

Passing on SP2: http:/dreamyhamster.suse.cz/tests/303

#6 - 2017-07-03 13:52 - vsvecova
- Status changed from In Progress to Resolved

- % Done changed from 50 to 100

Passed:
SP1: https://openga.suse.de/tests/1039070#step/install_patterns/33

GA: https://openga.suse.de/tests/1039071#step/install_patterns/36

(As coolo noted, it is expected that all the logic in https:/github.com/0s-autoinst/os-autoinst-distri-opensuse/blob/master/data/lsmfip#L 137
will be soon duplicated; not just domU.)
